# Class CollatorProvider

java.lang.Object
java.util.spi.LocaleServiceProvider
java.text.spi.CollatorProvider

public abstract class CollatorProvider extends LocaleServiceProvider
An abstract class for service providers that provide concrete implementations of the `Collator` class.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CollatorProvider()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Collator`
  `getInstance(Locale locale)`
  Returns a new `Collator` instance for the specified locale.

  ### Methods declared in class LocaleServiceProvider

  `getAvailableLocales, isSupportedLocale`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollatorProvider

    protected CollatorProvider()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### getInstance

    public abstract Collator getInstance(Locale locale)
    Returns a new `Collator` instance for the specified locale.
    Parameters:
      `locale` - the desired locale.
    Returns:
      the `Collator` for the desired locale.
    Throws:
      `NullPointerException` - if `locale` is null
      `IllegalArgumentException` - if `locale` isn't one of the locales returned from `getAvailableLocales()`.
    See Also:
      - `Collator.getInstance(java.util.Locale)`